Lab Accounts - Create Lab
Create a lab in a lab account.
POST https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.LabServices/labaccounts/{labAccountName}/createLab?api-version=2018-10-15
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
lab
|
path | True |
string |
The name of the lab Account. |
|
resource
|
path | True |
string |
The name of the resource group. |
|
subscription
|
path | True |
string |
The subscription ID. |
|
api-version
|
query | True |
string |
Client API version. |
Request Body
| Name | Required | Type | Description |
|---|---|---|---|
| labCreationParameters | True |
Settings related to creating a lab |
|
| name | True |
string |
The name of the resource |
| environmentSettingCreationParameters |
Settings related to creating an environment setting |
||
| location |
string |
The location of the resource |
|
| tags |
object |
The tags of the resource. |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
OK |
|
| Other Status Codes |
BadRequest |
Security
azure_auth
OAuth2 Implicit Grant
Type:
oauth2
Flow:
implicit
Authorization URL:
https://login.microsoftonline.com/common/oauth2/authorize
Scopes
| Name | Description |
|---|---|
| user_impersonation | Access Microsoft Azure |
Definitions
| Name | Description |
|---|---|
|
Cloud |
Error from a REST request. |
|
Cloud |
Body of an error from a REST request. |
|
Create |
Properties for creating a managed lab and a default environment setting |
|
Environment |
Settings related to creating an environment setting |
|
Lab |
Settings related to creating a lab |
|
Managed |
The size of the virtual machine |
|
Reference |
Creation parameters for Reference Vm |
|
Resource |
Represents resource specific settings |
CloudError
Error from a REST request.
| Name | Type | Description |
|---|---|---|
| error |
Body of an error from a REST request. |
CloudErrorBody
Body of an error from a REST request.
| Name | Type | Description |
|---|---|---|
| code |
string |
|
| details |
Inner errors. |
|
| message |
string |
|
| target |
string |
CreateLabProperties
Properties for creating a managed lab and a default environment setting
| Name | Type | Description |
|---|---|---|
| environmentSettingCreationParameters |
Settings related to creating an environment setting |
|
| labCreationParameters |
Settings related to creating a lab |
|
| location |
string |
The location of the resource |
| name |
string |
The name of the resource |
| tags |
object |
The tags of the resource. |
EnvironmentSettingCreationParameters
Settings related to creating an environment setting
| Name | Type | Description |
|---|---|---|
| resourceSettingCreationParameters |
The resource specific settings |
LabCreationParameters
Settings related to creating a lab
| Name | Type | Description |
|---|---|---|
| maxUsersInLab |
integer (int32) |
Maximum number of users allowed in the lab. |
ManagedLabVmSize
The size of the virtual machine
| Value | Description |
|---|---|
| Basic |
The base VM size |
| Standard |
The standard or default VM size |
| Performance |
The most performant VM size |
ReferenceVmCreationParameters
Creation parameters for Reference Vm
| Name | Type | Description |
|---|---|---|
| password |
string |
The password of the virtual machine. |
| userName |
string |
The username of the virtual machine |
ResourceSettingCreationParameters
Represents resource specific settings
| Name | Type | Description |
|---|---|---|
| galleryImageResourceId |
string |
The resource id of the gallery image used for creating the virtual machine |
| location |
string |
The location where the virtual machine will live |
| name |
string |
The name of the resource setting |
| referenceVmCreationParameters |
Creation parameters for Reference Vm |
|
| size |
The size of the virtual machine |